
Redmine - Defect #18374

Incoming emails are truncating CRLF

2014-11-18 16:00 - Chris Smith

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.3

Description

When sending an email to Redmine from Outlook 2013 running Exchange 2007 it appears that emails' line endings are being

removed. Instead of this:

Email

Project: test

we are getting this:

EmailProject: test

Mail coming from Mail.app on the newest version of OS X, Outlook Web Access, etc. seems OK.

Related issues:

Related to Redmine - Feature #16962: Better handle html-only emails Closed

History

#1 - 2014-11-19 01:03 - Scott Mead

+1 for this issue.  Just ran in to the exact same thing when using gmail.  This is messing up my inbound email truncation logic.

#2 - 2014-11-20 16:27 - Felix Schäfer

This might not be related to CRLF but to the fact that Outlook might be sending html-only emails. Could you please check if the emails sent from

outlook contain a text-part or the only and html part?

In case there is no text part, Redmine reverts back to the html part and just strips away all html markup. This causes line or paragraph breaks to be

lost. Have a look at #16962 for a nicer handler for incoming html emails.

#3 - 2014-12-18 04:31 - Toshi MARUYAMA

- Related to Feature #16962: Better handle html-only emails added

#4 - 2015-06-15 23:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Should be solved by #16962.
